Subject: StopAlop 0.6 packaging/installation facility available.
From: [email-masked]
Date: Thu, 11 Mar 1993 19:52:52 GMT
Newsgroups: comp.os.linux.announce

This package has been uploaded to the incoming directory at
tsx-11 and the maintainers have been notified so it should be migrating
toward the BETA/packaging directory over the next day or so. 
---------------------------------------------------------------------------
This distribution contains the first public release of a package
maintenance and distribution facility for Linux.  Thank you for your
interest in StopAlop, I hope that it will provide as much utility to
your system as it has ours.

I have the code labelled as BETA but it has been in use for several
months at our Center without major problems.  But the first time one
releases something....  I would appreciate any and all comments when
you find bugs.

Stopalop has the following abilities:

	1.) Generation of packages/distribution.
	2.) Installation of packages.
	3.) Documentation (listing) of installed packages.
	4.) Package removal.
	5.) Verification of package integrity (file presence,
	    permissions and ownerships.).

The accompanying documentation file outlines the design principles and
describes the basic functioning of the program.  Please read through
this before subjecting your filesystem to this utility.

Enclosed in the distribution should be the following files:

	README:		This file.
	StopAlop.doc:	Introductory document and examples.
	COPYING:	The GNU Public License under which StopAlop is
			distributed.
	stopalop:	The utility itself.

	*** Note that it will be very helpful if you review the contents
	    of the StopAlop.doc file before proceeding.

GOALS

	My hope is that the Linux community will be able to use
	StopAlop as a generic package installation method.  Note that
	this DOES NOT mean that I am the least bit interested in
	puting together a YALD (Yet Another Linux Distribution). Here
	is what my thoughts are:

	The maintainers of distribution packages (Peter, Adam, the
	TAMU group, etc) are doing an invaluable service to the Linux
	Community.  A common criticism of UNIX(c) based systems has
	been the difficulties associated with
	installation/maintenance.  One method of having Linux succeed
	is to avoid committing this sin, Linux must be attractive to
	users who have grown up having their hands held.  To this end
	the package maintainers are providing a superb service.

	There are however a large (and I believe increasing) number of
	people who either 'roll their own' setups or who would like to
	pick up components to update/upgrade their distribution
	packages.  I believe that there is a compelling need to have
	some standardized method releasing and configuring major Linux
	components such as gcc, X and the libraries.  The noise on
	c.o.l. and the lists that accompanies each new distribution of
	any type is probably mute testimony to the necessity of this.

	StopAlop may not be the answer to this problem but I firmly
	believe that there must be a movement made in this direction.
	Considering the load developing on some of the major FTP sites,
	downloading a complete distribution in order to upgrade a
	single component is not an attractive alternative.
	
	I would like to leave an open invitation to the major
	developers to work with them on developing distributions which
	can be packaged and installed with StopAlop.  We do this
	routinely to support our own Linux network so it is something
	that I can do to contribute back to the community.

	Writing installation scripts is not something very sexy but
	absolutely critical to the acceptance of an operating
	environment.  If there is interest among the user community I
	would be willing to upload a couple of examples of StopAlop
	packaged modules to see if there is any utility in this type
	of endeavor.

	NOTE AGAIN.  I DO NOT want to get into the package
	distribution game but we already have things like gcc, X and
	the libraries available outside the packages.  My only goal is
	to have a standardized method of releasing/installing this
	stuff which would hopefully minimize problems, noise and
	flames.  I would be interested in any comments the community
	may have.

                           As always,
                           Dr. G.W. Wettstein
                           Oncology Research Division Computing Facility
                           Roger Maris Cancer Center / MeritCare

                           UUCP: uunet!plains!wind!greg
                           INTERNET: [email-masked]
                           PHONE: 701-234-2833

`The truest mark of a man's wisdom is his ability to listen to other men
 expound their wisdom.'

-- 

                                  As always,
                                  G.W. Wettstein
-- 
Send submissions for comp.os.linux.announce to: [email-masked]